org.eclnt.jsfserver.elements.componentnodes

## Class ROLLINGCONTAINERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROLLINGCONTAINERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROLLINGCONTAINERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROLLINGCONTAINERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROLLINGCONTAINERNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindActionListener(IActionListenerDelegation value)`
    `ROLLINGCONTAINERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindClientname(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindDragsend(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindFont(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindForeground(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindIconsleft(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindIconsright(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindInnerbackground(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindInnerbgpaint(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindInnerborder(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindInnerpadding(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindText(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `ROLLINGCONTAINERNode` | `setAccessiblename(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setActionListener(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setAttributemacro(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setBackground(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setBgpaint(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setClientname(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setComment(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setConfiginfo(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setDragroundtrip(boolean value)`
    `ROLLINGCONTAINERNode` | `setDragroundtrip(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setDragsend(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setDroprastertext(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setDropreceive(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setDropshape(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setFlusharea(boolean value)`
    `ROLLINGCONTAINERNode` | `setFlusharea(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setFocusable(boolean value)`
    `ROLLINGCONTAINERNode` | `setFocusable(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setFont(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setForeground(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setHeight(int value)`
    `ROLLINGCONTAINERNode` | `setHeight(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setHelpid(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setIconsleft(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setIconsright(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setId(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setInnerbackground(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setInnerbgpaint(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setInnerborder(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setInnerpadding(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setPopupmenu(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setReference(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setRendered(boolean value)`
    `ROLLINGCONTAINERNode` | `setRendered(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setRowdistance(int value)`
    `ROLLINGCONTAINERNode` | `setRowdistance(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setStylevariant(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setText(java.lang.String value)`
    `ROLLINGCONTAINERNode` | `setTooltip(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROLLINGCONTAINERNode

          public ROLLINGCONTAINERNode()

  - ### Method Detail

    - #### setId

          public ROLLINGCONTAINERNode setId(java.lang.String value)

    - #### setAccessiblename

          public ROLLINGCONTAINERNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public ROLLINGCONTAINERNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public ROLLINGCONTAINERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROLLINGCONTAINERNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public ROLLINGCONTAINERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ROLLINGCONTAINERNode setBackground(java.lang.String value)

    - #### bindBackground

          public ROLLINGCONTAINERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROLLINGCONTAINERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROLLINGCONTAINERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setClientname

          public ROLLINGCONTAINERNode setClientname(java.lang.String value)

    - #### bindClientname

          public ROLLINGCONTAINERNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public ROLLINGCONTAINERNode setComment(java.lang.String value)

    - #### bindComment

          public ROLLINGCONTAINERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROLLINGCONTAINERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROLLINGCONTAINERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public ROLLINGCONTAINERNode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public ROLLINGCONTAINERNode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public ROLLINGCONTAINERNode setDragroundtrip(boolean value)

    - #### setDragsend

          public ROLLINGCONTAINERNode setDragsend(java.lang.String value)

    - #### bindDragsend

          public ROLLINGCONTAINERNode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public ROLLINGCONTAINERNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public ROLLINGCONTAINERNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public ROLLINGCONTAINERNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public ROLLINGCONTAINERNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public ROLLINGCONTAINERNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public ROLLINGCONTAINERNode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROLLINGCONTAINERNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ROLLINGCONTAINERNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROLLINGCONTAINERNode setFlusharea(boolean value)

    - #### setFocusable

          public ROLLINGCONTAINERNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public ROLLINGCONTAINERNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public ROLLINGCONTAINERNode setFocusable(boolean value)

    - #### setFont

          public ROLLINGCONTAINERNode setFont(java.lang.String value)

    - #### bindFont

          public ROLLINGCONTAINERNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public ROLLINGCONTAINERNode setForeground(java.lang.String value)

    - #### bindForeground

          public ROLLINGCONTAINERNode bindForeground(IDynamicContentBindingObject value)

    - #### setHeight

          public ROLLINGCONTAINERNode setHeight(java.lang.String value)

    - #### bindHeight

          public ROLLINGCONTAINERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROLLINGCONTAINERNode setHeight(int value)

    - #### setHelpid

          public ROLLINGCONTAINERNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ROLLINGCONTAINERNode bindHelpid(IDynamicContentBindingObject value)

    - #### setIconsleft

          public ROLLINGCONTAINERNode setIconsleft(java.lang.String value)

    - #### bindIconsleft

          public ROLLINGCONTAINERNode bindIconsleft(IDynamicContentBindingObject value)

    - #### setIconsright

          public ROLLINGCONTAINERNode setIconsright(java.lang.String value)

    - #### bindIconsright

          public ROLLINGCONTAINERNode bindIconsright(IDynamicContentBindingObject value)

    - #### setInnerbackground

          public ROLLINGCONTAINERNode setInnerbackground(java.lang.String value)

    - #### bindInnerbackground

          public ROLLINGCONTAINERNode bindInnerbackground(IDynamicContentBindingObject value)

    - #### setInnerbgpaint

          public ROLLINGCONTAINERNode setInnerbgpaint(java.lang.String value)

    - #### bindInnerbgpaint

          public ROLLINGCONTAINERNode bindInnerbgpaint(IDynamicContentBindingObject value)

    - #### setInnerborder

          public ROLLINGCONTAINERNode setInnerborder(java.lang.String value)

    - #### bindInnerborder

          public ROLLINGCONTAINERNode bindInnerborder(IDynamicContentBindingObject value)

    - #### setInnerpadding

          public ROLLINGCONTAINERNode setInnerpadding(java.lang.String value)

    - #### bindInnerpadding

          public ROLLINGCONTAINERNode bindInnerpadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ROLLINGCONTAINERNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROLLINGCONTAINERNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROLLINGCONTAINERNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROLLINGCONTAINERNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROLLINGCONTAINERNode setReference(java.lang.String value)

    - #### setRendered

          public ROLLINGCONTAINERNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROLLINGCONTAINERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROLLINGCONTAINERNode setRendered(boolean value)

    - #### setRowdistance

          public ROLLINGCONTAINERNode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public ROLLINGCONTAINERNode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ROLLINGCONTAINERNode setRowdistance(int value)

    - #### setStylevariant

          public ROLLINGCONTAINERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROLLINGCONTAINERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public ROLLINGCONTAINERNode setText(java.lang.String value)

    - #### bindText

          public ROLLINGCONTAINERNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public ROLLINGCONTAINERNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public ROLLINGCONTAINERNode bindTooltip(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.